Bug 180682 - [regdomain.xml] [patch] ifconfig wlan0 country JP is missed
Summary: [regdomain.xml] [patch] ifconfig wlan0 country JP is missed
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 10.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 18:40 UTC by Norikatsu Shigemura
Modified: 2019-01-16 22:40 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (868 bytes, patch)
2013-07-20 18:40 UTC, Norikatsu Shigemura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Norikatsu Shigemura freebsd_committer 2013-07-20 18:40:00 UTC
In my environment (Intel Centrino Advanced-N 6200),
I got 'ifconfig wlan0 country JP' missed.

# ifconfig wlan0 country JP
ifconfig: SIOCS80211: Invalid argument

And I got following failure message, too:

Jul 21 00:13:18 pelsia kernel: iwn0: iwn_setregdomain: invalid channel 8 freq 2447/0x20480

I tried to modify /etc/regdomain.xml and tried to do
ifconfig.  So I found error setting at freqband
'H4_2412_2472' (only use in regdomain Japan).

At least, this should be set <freqend>2466</freqend>
instead of <freqend>2472</freqend>.  However, maybe,
this should be used 'H4_2412_2462'.

Sorry, I couldn't find this reason that this should be
2412MHz-2472MHz and/or 2412MHz-2466MHz(2462MHz?).
So I don't know my patch is right.

How-To-Repeat: N/A
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2018-05-20 23:59:56 UTC
For bugs matching the following conditions:
- Status == In Progress
- Assignee == "bugs@FreeBSD.org"
- Last Modified Year <= 2017

Do
- Set Status to "Open"
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-21 00:00:40 UTC
For bugs matching the following conditions:
- Status == In Progress
- Assignee == "bugs@FreeBSD.org"
- Last Modified Year <= 2017

Do
- Set Status to "Open"
Comment 3 Andriy Voskoboinyk freebsd_committer 2019-01-16 22:40:35 UTC
The same problem was reported in bug #209328; it was revealed after base r221657 (enabled HT40 support in iwn(4)) and fixed in base r299264.